<html>
<head>
<title>Ogre::ShadowTextureConfig Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ShadowTextureConfig.html">ShadowTextureConfig</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ShadowTextureConfig Struct Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ShadowTextureConfig" -->
<p>Structure containing the configuration for one shadow texture.  
 <a href="structOgre_1_1ShadowTextureConfig.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ShadowTextureConfig-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#a1572e06277a6253f88d16891a3a8aa25">ShadowTextureConfig</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#a90f0b94c8b385c5df3cd1b39fd5b0e56">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#a0c27fe5c351d3697932ead1893ddf16d">height</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#abeaa5079ee032be898755c74bdd6ec10">format</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#a7babac3b47c252bb20167395eabaccad">fsaa</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#adff6099049e80aea87663b51d7e3659b">depthBufferPoolId</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure containing the configuration for one shadow texture. </p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00052">52</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1572e06277a6253f88d16891a3a8aa25"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::ShadowTextureConfig" ref="a1572e06277a6253f88d16891a3a8aa25" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#a1572e06277a6253f88d16891a3a8aa25">Ogre::ShadowTextureConfig::ShadowTextureConfig</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00060">60</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adff6099049e80aea87663b51d7e3659b"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::depthBufferPoolId" ref="adff6099049e80aea87663b51d7e3659b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1ShadowTextureConfig.html#adff6099049e80aea87663b51d7e3659b">Ogre::ShadowTextureConfig::depthBufferPoolId</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00058">58</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="abeaa5079ee032be898755c74bdd6ec10"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::format" ref="abeaa5079ee032be898755c74bdd6ec10" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="structOgre_1_1ShadowTextureConfig.html#abeaa5079ee032be898755c74bdd6ec10">Ogre::ShadowTextureConfig::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00056">56</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7babac3b47c252bb20167395eabaccad"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::fsaa" ref="a7babac3b47c252bb20167395eabaccad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1ShadowTextureConfig.html#a7babac3b47c252bb20167395eabaccad">Ogre::ShadowTextureConfig::fsaa</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00057">57</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c27fe5c351d3697932ead1893ddf16d"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::height" ref="a0c27fe5c351d3697932ead1893ddf16d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1ShadowTextureConfig.html#a0c27fe5c351d3697932ead1893ddf16d">Ogre::ShadowTextureConfig::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00055">55</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a90f0b94c8b385c5df3cd1b39fd5b0e56"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::width" ref="a90f0b94c8b385c5df3cd1b39fd5b0e56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1ShadowTextureConfig.html#a90f0b94c8b385c5df3cd1b39fd5b0e56">Ogre::ShadowTextureConfig::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h_source.html#l00054">54</a> of file <a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreShadowTextureManager_8h_source.html">OgreShadowTextureManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
